﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.ManagersDashboardReports
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("ManagersDashboardReports")]
    [NUnit.Framework.CategoryAttribute("ManagersDashboardReports")]
    public partial class ManagersDashboardReportsFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "ManagersDashboardReports.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "ManagersDashboardReports", "", ProgrammingLanguage.CSharp, new string[] {
                        "ManagersDashboardReports"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Banking\" Report on Manager Dashboard")]
        public virtual void BankingReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Banking\" Report on Manager Dashboard", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
testRunner.When("\'Banking\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table1 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table1.AddRow(new string[] {
                        "Last Daily Banking sent to HQ"});
            table1.AddRow(new string[] {
                        "Safe Check"});
#line 7
testRunner.Then("The report contains only next rows", ((string)(null)), table1, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Banking Reports\" Report on Manager Dashboard")]
        public virtual void BankingReportsReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Banking Reports\" Report on Manager Dashboard", ((string[])(null)));
#line 12
this.ScenarioSetup(scenarioInfo);
#line 13
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 14
testRunner.When("\'Banking Reports\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table2 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table2.AddRow(new string[] {
                        "Colleague Discount"});
            table2.AddRow(new string[] {
                        "Duress Code Used"});
            table2.AddRow(new string[] {
                        "Gift Token Allocations"});
            table2.AddRow(new string[] {
                        "Gift Token Redemptions"});
            table2.AddRow(new string[] {
                        "Miscellaneous Incomes"});
            table2.AddRow(new string[] {
                        "Miscellaneous Outgoings"});
#line 15
testRunner.Then("The report contains only next rows", ((string)(null)), table2, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"DRL Analysis\" Report on Manager Dashboard")]
        public virtual void DRLAnalysisReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"DRL Analysis\" Report on Manager Dashboard", ((string[])(null)));
#line 24
this.ScenarioSetup(scenarioInfo);
#line 25
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 26
testRunner.When("\'DRL Analysis\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table3 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table3.AddRow(new string[] {
                        "DRL Value"});
            table3.AddRow(new string[] {
                        "Code 4 Receipt Adjustments"});
            table3.AddRow(new string[] {
                        "Outstanding Direct Deliveries"});
            table3.AddRow(new string[] {
                        "Direct Deliveries Overdue"});
            table3.AddRow(new string[] {
                        "Orders Consigned but not Received"});
#line 27
testRunner.Then("The report contains only next rows", ((string)(null)), table3, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Pending Shrinkage\" Report on Manager Dashboard")]
        public virtual void PendingShrinkageReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Pending Shrinkage\" Report on Manager Dashboard", ((string[])(null)));
#line 35
this.ScenarioSetup(scenarioInfo);
#line 36
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 37
testRunner.When("\'Pending Shrinkage\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table4 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table4.AddRow(new string[] {
                        "Primary Count"});
            table4.AddRow(new string[] {
                        "Pending Write Offs"});
#line 38
testRunner.Then("The report contains only next rows", ((string)(null)), table4, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Price Changes\" Report on Manager Dashboard")]
        public virtual void PriceChangesReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Price Changes\" Report on Manager Dashboard", ((string[])(null)));
#line 43
this.ScenarioSetup(scenarioInfo);
#line 44
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 45
testRunner.When("\'Price Changes\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table5 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table5.AddRow(new string[] {
                        "Price Labels Action Required"});
            table5.AddRow(new string[] {
                        "Overdue Labels"});
            table5.AddRow(new string[] {
                        "Labels Required"});
            table5.AddRow(new string[] {
                        "Outstanding Price Label Report"});
            table5.AddRow(new string[] {
                        "Price Change Audit Report"});
            table5.AddRow(new string[] {
                        "Labels Request"});
#line 46
testRunner.Then("The report contains only next rows", ((string)(null)), table5, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Shrinkage\" Report on Manager Dashboard")]
        public virtual void ShrinkageReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Shrinkage\" Report on Manager Dashboard", ((string[])(null)));
#line 55
this.ScenarioSetup(scenarioInfo);
#line 56
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 57
testRunner.When("\'Shrinkage\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table6 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table6.AddRow(new string[] {
                        "Stock Loss"});
            table6.AddRow(new string[] {
                        "Known Theft"});
            table6.AddRow(new string[] {
                        "Write Off Adjustments"});
            table6.AddRow(new string[] {
                        "Markdowns"});
            table6.AddRow(new string[] {
                        "Price Violations"});
            table6.AddRow(new string[] {
                        "Incorrect Day Price"});
            table6.AddRow(new string[] {
                        "Temporary Deal Group"});
#line 58
testRunner.Then("The report contains only next rows", ((string)(null)), table6, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Store Sales\" Report on Manager Dashboard")]
        public virtual void StoreSalesReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Store Sales\" Report on Manager Dashboard", ((string[])(null)));
#line 68
this.ScenarioSetup(scenarioInfo);
#line 69
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 70
testRunner.When("\'Store Sales\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table7 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table7.AddRow(new string[] {
                        "Core Sales"});
            table7.AddRow(new string[] {
                        "Core Refunds"});
            table7.AddRow(new string[] {
                        "Net Core Sales"});
            table7.AddRow(new string[] {
                        "C&C Sales"});
            table7.AddRow(new string[] {
                        "C&C Cancels/Returns"});
            table7.AddRow(new string[] {
                        "K&B Sales"});
            table7.AddRow(new string[] {
                        "Core Sales + K&B Sales + C&C Sales"});
            table7.AddRow(new string[] {
                        "Core Sales Last Year"});
            table7.AddRow(new string[] {
                        "K&B Sales Last Year"});
            table7.AddRow(new string[] {
                        "Percentage Line Scanned (Exc C&C)"});
            table7.AddRow(new string[] {
                        "Percentage Refunds to Sales"});
            table7.AddRow(new string[] {
                        "Percentage C&C Cancels/Returns to Sales"});
#line 71
testRunner.Then("The report contains only next rows", ((string)(null)), table7, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Store Sales\" Report on Manager Dashboard Values for a year ago date")]
        public virtual void StoreSalesReportOnManagerDashboardValuesForAYearAgoDate()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Store Sales\" Report on Manager Dashboard Values for a year ago date", ((string[])(null)));
#line 86
this.ScenarioSetup(scenarioInfo);
#line 87
testRunner.Given("Dashboard was opened with a year ago date", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table8 = new TechTalk.SpecFlow.Table(new string[] {
                        "Type",
                        "Total Amount",
                        "Cashier Number",
                        "Till Number",
                        "Misc. Reason Code"});
            table8.AddRow(new string[] {
                        "Sale",
                        "10.52",
                        "123",
                        "1",
                        "0"});
            table8.AddRow(new string[] {
                        "Refund",
                        "30.43",
                        "123",
                        "2",
                        "0"});
            table8.AddRow(new string[] {
                        "Misc. Income",
                        "2.34",
                        "123",
                        "3",
                        "20"});
#line 88
testRunner.And("Sale Ledger contains next transactions", ((string)(null)), table8, "And ");
#line 93
testRunner.And("There was a payment from Vision with total Amount 19.21", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 94
testRunner.When("\'Store Sales\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table9 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description",
                        "Qty",
                        "QtyWtd",
                        "Value",
                        "ValueWtd"});
            table9.AddRow(new string[] {
                        "Core Sales",
                        "1",
                        "1",
                        "10.52",
                        "10.52"});
            table9.AddRow(new string[] {
                        "Core Refunds",
                        "1",
                        "1",
                        "30.43",
                        "30.43"});
            table9.AddRow(new string[] {
                        "K&B Sales",
                        "2",
                        "2",
                        "-16.87",
                        "-16.87"});
#line 95
testRunner.Then("The report contains next rows", ((string)(null)), table9, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Store Sales\" Report on Manager Dashboard Values for today")]
        public virtual void StoreSalesReportOnManagerDashboardValuesForToday()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Store Sales\" Report on Manager Dashboard Values for today", ((string[])(null)));
#line 101
this.ScenarioSetup(scenarioInfo);
#line 102
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table10 = new TechTalk.SpecFlow.Table(new string[] {
                        "Type",
                        "Total Amount",
                        "Cashier Number",
                        "Till Number",
                        "Misc. Reason Code"});
            table10.AddRow(new string[] {
                        "Sale",
                        "10.52",
                        "123",
                        "1",
                        "0"});
            table10.AddRow(new string[] {
                        "Refund",
                        "30.43",
                        "123",
                        "2",
                        "0"});
            table10.AddRow(new string[] {
                        "Misc. Income",
                        "2.34",
                        "123",
                        "3",
                        "20"});
#line 103
testRunner.And("Sale Ledger contains next transactions", ((string)(null)), table10, "And ");
#line 108
testRunner.And("There was a payment from Vision with total Amount 19.21", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 109
testRunner.And("Click and collect order happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 110
testRunner.And("The order was refunded", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
testRunner.When("\'Store Sales\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table11 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description",
                        "Qty",
                        "QtyWtd",
                        "Value",
                        "ValueWtd"});
            table11.AddRow(new string[] {
                        "C&C Sales",
                        "1",
                        "1",
                        "25.07",
                        "25.07"});
            table11.AddRow(new string[] {
                        "C&C Cancels/Returns",
                        "1",
                        "1",
                        "-23.07",
                        "-23.07"});
            table11.AddRow(new string[] {
                        "Core Sales Last Year",
                        "2",
                        "2",
                        "40.95",
                        "40.95"});
            table11.AddRow(new string[] {
                        "K&B Sales Last Year",
                        "2",
                        "2",
                        "-16.87",
                        "-16.87"});
#line 112
testRunner.Then("The report contains next rows", ((string)(null)), table11, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Pending Write Offs values of \"Pending Shrinkage\" on Manager Dashboard")]
        public virtual void PendingWriteOffsValuesOfPendingShrinkageOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Pending Write Offs values of \"Pending Shrinkage\" on Manager Dashboard", ((string[])(null)));
#line 119
this.ScenarioSetup(scenarioInfo);
#line 120
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table12 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Quantity",
                        "Price",
                        "Write Off\'s Authorized Cashier"});
            table12.AddRow(new string[] {
                        "100004",
                        "-1",
                        "7.99",
                        "0"});
            table12.AddRow(new string[] {
                        "100005",
                        "-2",
                        "5.99",
                        "002"});
            table12.AddRow(new string[] {
                        "100006",
                        "-3",
                        "4.99",
                        "0"});
            table12.AddRow(new string[] {
                        "100007",
                        "-1",
                        "3.99",
                        "002"});
            table12.AddRow(new string[] {
                        "100008",
                        "-2",
                        "2.99",
                        "002"});
#line 121
testRunner.And("Following Stock Adjustment were made today", ((string)(null)), table12, "And ");
#line 128
testRunner.When("\'Pending Shrinkage\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table13 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description",
                        "Today Qty",
                        "Today Value"});
            table13.AddRow(new string[] {
                        "Pending Write Offs",
                        "4",
                        "22.96"});
#line 129
testRunner.Then("The report contains next rows", ((string)(null)), table13, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Stock Reports\" Report on Manager Dashboard")]
        public virtual void StockReportsReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Stock Reports\" Report on Manager Dashboard", ((string[])(null)));
#line 133
this.ScenarioSetup(scenarioInfo);
#line 134
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line hidden
            TechTalk.SpecFlow.Table table14 = new TechTalk.SpecFlow.Table(new string[] {
                        "SKU Number",
                        "Price",
                        "On Hand Stock Quantity",
                        "Mark-down Stock Quantity"});
            table14.AddRow(new string[] {
                        "100004",
                        "7.99",
                        "-1",
                        "0"});
            table14.AddRow(new string[] {
                        "100006",
                        "296.00",
                        "-1",
                        "2"});
            table14.AddRow(new string[] {
                        "100012",
                        "4669.00",
                        "-1",
                        "1"});
            table14.AddRow(new string[] {
                        "100013",
                        "0.01",
                        "2",
                        "3"});
#line 135
testRunner.And("There were next products", ((string)(null)), table14, "And ");
#line 141
testRunner.When("\'Stock Reports\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table15 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table15.AddRow(new string[] {
                        "GAP WALK"});
            table15.AddRow(new string[] {
                        "Number Items Out of Stock"});
            table15.AddRow(new string[] {
                        "Markdown Stockholding"});
            table15.AddRow(new string[] {
                        "Deleted Stockholding"});
            table15.AddRow(new string[] {
                        "Non-Stock Stockholding"});
            table15.AddRow(new string[] {
                        "Open Returns Stockholding"});
            table15.AddRow(new string[] {
                        "Percentage Returns to Weekly Sales"});
#line 142
testRunner.Then("The report contains next rows", ((string)(null)), table15, "Then ");
#line hidden
            TechTalk.SpecFlow.Table table16 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description",
                        "Value"});
            table16.AddRow(new string[] {
                        "Stockholding",
                        "296.05"});
#line 151
testRunner.And("The report contains next rows", ((string)(null)), table16, "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("\"Pending Orders\" Report on Manager Dashboard")]
        public virtual void PendingOrdersReportOnManagerDashboard()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("\"Pending Orders\" Report on Manager Dashboard", ((string[])(null)));
#line 155
this.ScenarioSetup(scenarioInfo);
#line 156
testRunner.Given("Dashboard was opened for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 157
testRunner.When("\'Pending Orders\' Report was generated", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line hidden
            TechTalk.SpecFlow.Table table17 = new TechTalk.SpecFlow.Table(new string[] {
                        "Description"});
            table17.AddRow(new string[] {
                        "Unconfirmed Orders"});
            table17.AddRow(new string[] {
                        "Confirmed Orders"});
            table17.AddRow(new string[] {
                        "Orders in Picking"});
            table17.AddRow(new string[] {
                        "Confirmed Picked Orders"});
            table17.AddRow(new string[] {
                        "Orders in Despatch"});
            table17.AddRow(new string[] {
                        "Undelivered"});
            table17.AddRow(new string[] {
                        "Delivered"});
            table17.AddRow(new string[] {
                        "Completed"});
            table17.AddRow(new string[] {
                        "Suspended"});
#line 158
testRunner.Then("The report contains only next rows", ((string)(null)), table17, "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
